Skip to main content
GET
Get Holiday

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Pattern: ^[1-9]\d*$

Response

200 - application/json

Holiday details

id
number
required

Holiday ID

tenantId
number
required

Tenant ID

name
string
required

Holiday name

isRecurring
boolean
required

Whether the holiday recurs

startDate
string | null
required

Start date (non-recurring)

endDate
string | null
required

End date (non-recurring)

isClosed
boolean
required

Whether closed for the whole day

month
number | null
required

Recurrence month (1-12)

day
number | null
required

Recurrence day (1-31)

dayOfWeek
number | null
required

Recurrence day of week (0-6)

weekOfMonth
number | null
required

Recurrence week of month (1-5)

operatingHours
any | null
required

Operating hours or null

notifyDaysBefore
number | null
required

Notify days before

businessHours
object | null
required

Associated business hours profile

mediaFile
object | null
required

Associated media file